#!/usr/bin/env python

#Az alabbi demo programban egy rendezett lista adatszerkezetet
#valositunk meg. Termeszetesen szebben es hatekonyabban is meg
#lehet irni ezt a strukturat, a pelda kedveert ez is megteszi

class OrderedList(object): 
    lista = [] 
    def __init__(self, iterable=None): 
        if iterable != None: 
            for item in iterable: 
                self.lista.append(item) 
                self.lista.sort() 
    def insert(self, element): 
        self.lista.append(element) 
        self.lista.sort() 
    def remove(self, element): 
        self.lista.remove(element) 
        self.lista.sort() 
    def __len__(self): 
        return len(self.lista)
    def first(self):
        return self.lista[0] 
    def last(self): 
        return self.lista[len(self.lista) - 1] 
    def __iter__(self): 
        return iter(self.lista) 
    def __str__(self): 
        return str(self.lista) 

class Ember:
    def __init__(self, nev):
        self.nev = nev
        
    def __str__(self):
        return str(self.nev)
        
    def __cmp__(self, other):
        return cmp(self.nev, other.nev)

l = OrderedList()
elemer = Ember("Elemer")
karoly = Ember("Karoly")
attila = Ember("Attila")
l.insert(elemer)
l.insert(karoly)
l.insert(attila)
for i in l:
   print i
