#!/usr/bin/env python

#A tobbszoros oroklodes hatranya a Pythonban.


#Metodushivaskor kereses tortenik az objektum, az osztaly, 
#majd pedig az ososztalyok nevtereben a fuggvenyobjektum utan.
#
#Ha rossz sorrentben adjuk meg az osztaly ososztalyait, akkor
#a program szemantikaja serulhet.

#Ebben a peldaban a Rhombus ososztalyait ROSSZ sorrendben adtuk meg, 
#igy az is_equilateral fuggvenyhivas rossz eredmenyt ad vissza.
 
class Shape(object):
  def is_equilateral(self):
    return False

class Quadrange(Shape):
  def is_equilateral(self):
    return False        
        
class Equilateral(Shape):
  def is_equilateral(self):
    return True

class Rhombus(Quadrange, Equilateral): 
    pass

d = Rhombus()
print d.is_equilateral()
