#!/usr/bin/env python

#Ez a demo program az utasitasok es vezerlesi szerkezeteket hivatott bemutatni.

#Van SKIP a nyelvben, a pass utasitas.
#Ez az utasitas ures definciciok esteten is hasznalhato.
pass

#Van tobbszoros ertekadas a nyelvben. a, b es c ugyanarra
#a 2 erteket tartalmazo int objektumra fog mutatni.
a = b = c = 2


#Ha a jobboldalon tobb azonosito szerepel:
# 1.) Eloszor a jobboldal ertekelodik ki, melynek eredmenye egy tuple
# 2.) Az azonositok kotese balrol jobbra haladva megtortenik.
# 3.) Ha a tuple elemszama nem ugyanannyi, mint az azonositok szama, akkor
#     futasideju hiba (ValueError) keletkezik
a, b, c = 1, 2, 3

#Tehat ez az utasitas megcsereli az elemeket:
a, b = b, a

#!!!DE!!!
#Ha a baloldalon tobbszor szerepel u.az az azonosito, az problemakhoz vezethet,
#tehat valodi szimultan ertekadas NINCS!
x = [0, 1]
i = 0
i, x[i] = 1, 2 #szimultan ertekadasnal az eredmeny: x = [2, 1]
print x        #ezt kapjuk: x = [0, 2]


#elagazas: a legfontosabb, hogy az elagazas torzse NEM definial uj blokkot
if i < 0:
  print "i kisebb mint nulla"
elif i > 0:
  print "i nagyobb mint nulla"
else:
  print "i egyenlo nulla"


while len(x) != 0:
  print x.pop()
else:
  print "kiurult az x lista."
  

napok = {"Hetfo": 1, "Kedd": 2, "Szerda": 3, "Csutortok": 4, "Pentek": 5, "Szombat": 6, "Vasarnap": 7}

for nap in napok:
  print napok[nap]

# Ha valtoztatni szeretnenk a bejarando objektumot, akkor egy masolaton iteraljunk vegig

for nap in napok.copy():
  if napok[nap] > 5:
    del napok[nap]

# C-szeru for-ciklus:

for i in xrange(1, 10):
  print i,

print 
for i in xrange(2, 20, 2):
  print i,
print
